Package de.willuhn.jameica.hbci.experiments

# Class AbstractHBCI4JavaFeature

java.lang.Object
de.willuhn.jameica.hbci.experiments.AbstractHBCI4JavaFeature

All Implemented Interfaces:
  `Feature`

Direct Known Subclasses:
  `HBCI4JavaFeatureAutoMethod`, `HBCI4JavaFeatureInitFlipUserInst`, `HBCI4JavaFeatureSegCodeStrict`, `HBCI4JavaFeatureSkipOneStepSCA`, `HBCI4JavaFeatureSyncSepaInfo`

public abstract class AbstractHBCI4JavaFeature extends Object implements Feature
Abstrakte Basis-Klasse fuer HBCI4Java-Features.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractHBCI4JavaFeature(org.kapott.hbci.manager.Feature f)`
ct.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getDefault()`
Liefert true, wenn das Feature per Default aktiv sein soll.
`String`
`getDescription()`
Liefert die Beschreibung des Features.
`String`
`getName()`
Liefert einen eindeutigen Namen fuer das Feature.
`void`
`setEnabled(boolean enabled)`
Aktiviert/deaktiviert das Feature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractHBCI4JavaFeature

protected AbstractHBCI4JavaFeature(org.kapott.hbci.manager.Feature f)
ct.

Parameters:
  `f` - das HBCI4Java-Feature.

## Method Details

### getName

public String getName()
Description copied from interface: `Feature`
Liefert einen eindeutigen Namen fuer das Feature.

Specified by:
  `getName` in interface `Feature`
Returns:
  eindeutiger Name fuer das Feature.

### getDescription

public String getDescription()
Description copied from interface: `Feature`
Liefert die Beschreibung des Features.

Specified by:
  `getDescription` in interface `Feature`
Returns:
  die Beschreibung des Features.

### getDefault

public boolean getDefault()
Description copied from interface: `Feature`
Liefert true, wenn das Feature per Default aktiv sein soll.

Specified by:
  `getDefault` in interface `Feature`
Returns:
  true, wenn das Feature per Default aktiv sein soll.

### setEnabled

public void setEnabled(boolean enabled)
Description copied from interface: `Feature`
Aktiviert/deaktiviert das Feature. Wird automatisch beim Start von Hibiscus aufgerufen, um den gewuenschten Feature-Zustand herzustellen.

Specified by:
  `setEnabled` in interface `Feature`
Parameters:
  `enabled` - true, wenn das Feature aktiviert sein soll.